- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
KnapNodeDesc Class Reference

`#include <KnapTreeNode.h>`

Inheritance diagram for KnapNodeDesc:
[legend]
Collaboration diagram for KnapNodeDesc:
[legend]

## Public Member Functions
| KnapNodeDesc (KnapModel *m)
| KnapNodeDesc (KnapModel *m, KnapVarStatus *&st, int cap, int val)
virtual | ~KnapNodeDesc ()
void | setVarStatus (const int i, const KnapVarStatus status)
KnapVarStatus | getVarStatus (const int i)
const KnapVarStatus * | getVarStati () const
int | getUsedCapacity () const
int | getUsedValue () const
Public Member Functions inherited from AlpsNodeDesc
| AlpsNodeDesc ()
| AlpsNodeDesc (AlpsModel *m)
virtual | ~AlpsNodeDesc ()
AlpsModel * | getModel () const
void | setModel (AlpsModel *m)
virtual AlpsReturnStatus | encode (AlpsEncoded *encoded) const
| Pack node description into an encoded. More...
virtual AlpsReturnStatus | decode (AlpsEncoded &encoded)
| Unpack a node description from an encoded. More...

## Private Attributes
KnapVarStatus * | varStatus_
| This array keeps track of which variables have been fixed by branching and which are still free. More...
int | usedCapacity_
| The total size of the items fixed to be put into the knapsack. More...
int | usedValue_

## Additional Inherited Members
Protected Attributes inherited from AlpsNodeDesc
AlpsModel * | model_
| A pointer to model. More...

## Detailed Description

Definition at line 36 of file KnapTreeNode.h.

## Constructor & Destructor Documentation

KnapNodeDesc::KnapNodeDesc | ( | KnapModel * | m | ) |
| inline

Definition at line 70 of file KnapTreeNode.h.

KnapNodeDesc::KnapNodeDesc | ( | KnapModel * | m,
|  | KnapVarStatus *& | st,
|  | int | cap,
|  | int | val
| ) |  |
| inline

Definition at line 82 of file KnapTreeNode.h.

virtual KnapNodeDesc::~KnapNodeDesc | ( |  | ) |
| inline virtual

Definition at line 94 of file KnapTreeNode.h.

## Member Function Documentation

void KnapNodeDesc::setVarStatus | ( | const int | i,
|  | const KnapVarStatus | status
| ) |  |
| inline

Definition at line 99 of file KnapTreeNode.h.

KnapVarStatus KnapNodeDesc::getVarStatus | ( | const int | i | ) |
| inline

Definition at line 102 of file KnapTreeNode.h.

const KnapVarStatus* KnapNodeDesc::getVarStati | ( |  | ) | const
| inline

Definition at line 105 of file KnapTreeNode.h.

int KnapNodeDesc::getUsedCapacity | ( |  | ) | const
| inline

Definition at line 108 of file KnapTreeNode.h.

int KnapNodeDesc::getUsedValue | ( |  | ) | const
| inline

Definition at line 109 of file KnapTreeNode.h.

## Member Data Documentation

KnapVarStatus* KnapNodeDesc::varStatus_
| private

This array keeps track of which variables have been fixed by branching and which are still free.

Definition at line 50 of file KnapTreeNode.h.

int KnapNodeDesc::usedCapacity_
| private

The total size of the items fixed to be put into the knapsack.

Definition at line 53 of file KnapTreeNode.h.

int KnapNodeDesc::usedValue_
| private

Definition at line 54 of file KnapTreeNode.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/examples/Knap/KnapTreeNode.h